Bug 465778 - Resume after WoL causes kacpid and kacpi_notify eat whole CPU
Resume after WoL causes kacpid and kacpi_notify eat whole CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 08:13 EDT by Peter Kovář
Modified: 2009-12-18 01:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Linux 2.6.26.7 kernel configuration (54.47 KB, text/plain)
2008-10-28 13:38 EDT, Peter Kovář
no flags Details

  None (edit)
Description Peter Kovář 2008-10-06 08:13:05 EDT
Description of problem:
Sending magic wake on LAN packet with ether-wake to the notebook resumes from RAM, but kacpid and kacpi_notify kernel processes are running at full speed

88 root 15 -5 0 0 0 S 76.8  0.0   0:22.36 kacpid
89 root 15 -5 0 0 0 R 21.9  0.0   0:06.39 kacpi_notify

Resume from RAM as well as from hibernated state works well.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.377.rc8.git1.fc10.i686
kernel-2.6.27-0.382.rc8.git4.fc10.i686
kernel-2.6.27-0.391.rc8.git7.fc10.i686

How reproducible:
Always

Steps to Reproduce:
1. suspend to RAM
2. ether-wake
3. top
  
Actual results:
Suspend to RAM and resume afterwards is OK.

Expected results:
Behaviour as w/ 2.6.26.5

Additional info:
http://www.smolts.org/client/show/pub_3fd712ea-e4aa-4e2b-9ab6-5be400ad99c8
Comment 1 Peter Kovář 2008-10-07 10:54:19 EDT
Same behaviour w/

kernel-2.6.27-0.392.rc8.git7.fc10.i686
Comment 2 Peter Kovář 2008-10-07 21:18:33 EDT
The same shit w/

kernel-2.6.27-0.398.rc9.fc10.i686
Comment 3 Peter Kovář 2008-10-10 21:05:17 EDT
Che cazzo?

kernel-2.6.27-1.fc10.i686
Comment 4 Peter Kovář 2008-10-12 13:31:52 EDT
Scheiße!

kernel-2.6.27-3.fc10.i686
Comment 5 Peter Kovář 2008-10-17 11:33:58 EDT
Je to furt to samé. Kurva fix! Pozdravuju všechny psychopaty.

kernel-2.6.27-13.fc10.i686
Comment 6 Peter Kovář 2008-10-17 19:04:03 EDT
Whiskey Tango Foxtrot?

kernel-2.6.27.2-23.rc1.fc10.i686
Comment 7 Peter Kovář 2008-10-19 18:56:16 EDT
Merda. I'm sick of this crap. It was working for 3+ years.

kernel-2.6.27.3-27.rc1.fc10.i686
Comment 8 Peter Kovář 2008-10-28 13:32:48 EDT
Still the same, over and over again.
kernel-2.6.27.4-51.fc10.i686
Comment 9 Peter Kovář 2008-10-28 13:38:18 EDT
Created attachment 321712 [details]
Linux 2.6.26.7 kernel configuration

With this configuration WoL works as before. Also, LCD panel backlight brightness has 8 levels, not 3.
Comment 10 Peter Kovář 2008-11-01 09:16:06 EDT
ʃit
kernel-2.6.27.4-68.fc10.i686
Comment 11 Mads Kiilerich 2008-11-11 18:44:29 EST
This seems to be a duplicate of Bug 470321 (or the other way around) - however, that bug now has the developers attention.
Comment 12 Peter Kovář 2008-11-12 10:29:45 EST
Lófasz.

kernel-2.6.27.5-94.fc10.i686

S2D is screewed too. I'm still wondering why I'm wasting my time w/ this junk.
Comment 13 Bug Zapper 2008-11-25 22:36:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-11-18 03:31:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 01:31:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.